<?php 
/*
Plugin Name: افزونه فونت (تمپ کده)
Plugin URI: https://www.tempkade.ir/
Description: افزونه ویژه فونت وردپرس 
Author: تمپ کده
Version: 1.1
Author URI: https://www.tempkade.ir/
*/
require('inc/functions.php');
function tk_fonts_wp_theme_menu(){  
add_options_page('فونت (تمپ کده)','فونت (تمپ کده)','administrator','tk-fonts','tk_fonts_wp_theme_page');
}
add_action('admin_menu', 'tk_fonts_wp_theme_menu');
function tk_fonts_wp_theme_page() { 
global $plugin_tk_fonts_wp_name,$plugin_tk_fonts_wp_options;
$i=0;
$message=''; 
if ('save' == $_REQUEST['action']) {
foreach ($plugin_tk_fonts_wp_options as $value) {
update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
foreach ($plugin_tk_fonts_wp_options as $value) {
if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }
$message='saved';
}
else if( 'reset' == $_REQUEST['action'] ) {
foreach ($plugin_tk_fonts_wp_options as $value) {
delete_option( $value['id'] ); }
$message='reset';
}
?>
<div class="wrap">
<h2>فونت (تمپ کده)</h2>
<div class="updated">
<p><a style="text-decoration:none;" title="افزونه ساخته شده توسط تمپ کده" href="https://www.tempkade.ir/" target="_blank">افزونه ساخته شده توسط تمپ کده</a></p>
</div>
<?php 
if ( $message=='saved' ) echo '<div class="updated settings-error" id="setting-error-settings_updated"> 
<p>تنظيمات افزونه '.$plugin_tk_fonts_wp_name.' ذخيره شد.</p></div>';
if ( $message=='reset' ) echo '<div class="updated settings-error" id="setting-error-settings_updated"> 
<p>تنظيمات افزونه '.$plugin_tk_fonts_wp_name.' ریست شد.</p></div>';
?>
<p>افزونه : فونت (تمپ کده) - نسخه : 1.1</p>
<p>با اين افزونه میتوانید فونت وردپرس خود را تغییر دهید</p>
<form method="post">
<?php foreach ($plugin_tk_fonts_wp_options as $value) {
switch ( $value['type'] ) {
case 'title': ?>
<h2 class="title"><?php echo $value['title']; ?></h2>
<?php break;
case 'open': ?>
<table class="form-table">
<?php break;
case 'select': ?>
<tr>
<th scope="row"><label for="<?php echo $value['id']; ?>"><?php echo $value['name']; ?></label></th>
<td><select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option => $v) { ?>
<option <?php if (get_settings( $value['id'] ) == $option) { echo 'selected="selected"'; } ?> value="<?php echo $option; ?>"><?php echo $v; ?></option>
<?php } ?>
</select></td>
</tr>
<?php break;
case 'close': ?>
</table>
<?php break;
}
}?>
<p class="submit">
<input name="save" type="submit" class="button-primary" value="ذخیره تنظیمات" />
<input type="hidden" name="action" value="save" />
</p>
</form>
</div>
<?php }?>